Update a user
curl --request PATCH \
--url https://api.steuerboard.com/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--data '{}'import requests
url = "https://api.steuerboard.com/v1/users/{id}"
payload = {}
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.steuerboard.com/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q1a0",
"createdAt": "2024-05-14T08:30:00Z",
"email": "frida@example.com",
"firstName": "Frida",
"lastName": "Meyer",
"roles": [
"client_admin"
]
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"status_code": 404,
"type": "not_found",
"code": "not_found",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ZodError",
"issues": [
{
"code": "invalid_type",
"path": [
"role"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.users
Update a user
Updates a client user by ID.
PATCH
/
users
/
{id}
Update a user
Authorizations
Bearer token authentication
Headers
The ID of the client
Example:
"cmf41ajzv003706un4i99q19z"
Path Parameters
The ID of the item
Example:
"cmf41ajzv003706un4i99q19z"
Body
application/json
User update
Role to assign to the invited user. Can be 'admin', 'user'.
Available options:
admin, user Examples:
"admin"
"user"
Response
User updated
Identifier of the client user.
Example:
"cmf41ajzv003706un4i99q1a0"
The date and time when the client user record was created. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
Example:
"2024-05-14T08:30:00Z"
Email address of the client user.
Example:
"frida@example.com"
First name of the client user, if provided.
Example:
"Frida"
Last name of the client user, if provided.
Example:
"Meyer"
List of role names assigned to the user.
Role name assigned to the user.
⌘I